[Back to ToC](library.md)

# Units allowed by SenML specification


| Symbol | Description                                |
|-------:|--------------------------------------------|
|      m | meter                                      |
|     kg | kilogram                                   |
|      s | second                                     |
|      A | ampere                                     |
|      K | kelvin                                     |
|     cd | candela                                    |
|    mol | mole                                       |
|     Hz | hertz                                      |
|    rad | radian                                     |
|     sr | steradian                                  |
|      N | newton                                     |
|     Pa | pascal                                     |
|      J | joule                                      |
|      W | watt                                       |
|      C | coulomb                                    |
|      V | volt                                       |
|      F | farad                                      |
|    Ohm | ohm                                        |
|      S | siemens                                    |
|     Wb | weber                                      |
|      T | tesla                                      |
|      H | henry                                      |
|    Cel | degrees Celsius                            |
|     lm | lumen                                      |
|     lx | lux                                        |
|     Bq | becquerel                                  |
|     Gy | gray                                       |
|     Sv | sievert                                    |
|    kat | katal                                      |
|     pH | pH acidity                                 |
|      % | Value of a switch (note 1)                 |
|  count | counter value                              |
|    %RH | Relative Humidity                          |
|     m2 | area                                       |
|      l | volume in liters                           |
|    m/s | velocity                                   |
|   m/s2 | acceleration                               |
|    l/s | flow rate in liters per second             |
|   W/m2 | irradiance                                 |
|  cd/m2 | luminance                                  |
|   Bspl | bel sound pressure level                   |
|  bit/s | bits per second                            |
|    lat | degrees latitude (note 2)                  |
|    lon | degrees longitude (note 2)                 |
|    %EL | remaining battery energy level in percents |
|     EL | remaining battery energy level in seconds  |
| beat/m | Heart rate in beats per minute             |
|  beats | Cumulative number of heart beats           |

[Source](https://tools.ietf.org/id/draft-jennings-core-senml-02.txt)